Debian Bug report logs - #590636
supertransball2: command line option -f doesn't work

version graph

Package: supertransball2; Maintainer for supertransball2 is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for supertransball2 is src:supertransball2.

Reported by: Fred Maranhão <fred.maranhao@gmail.com>

Date: Wed, 28 Jul 2010 00:42:01 UTC

Severity: minor

Found in version supertransball2/1.5-3

Fixed in version supertransball2/1.5-5

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#590636; Package supertransball2. (Wed, 28 Jul 2010 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fred Maranhão <fred.maranhao@gmail.com>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. (Wed, 28 Jul 2010 00:42:04 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Fred Maranhão <fred.maranhao@gmail.com>
To: maintonly@bugs.debian.org
Subject: supertransball2: command line option -f doesn't work
Date: Tue, 27 Jul 2010 21:39:50 -0300
Package: supertransball2
Version: 1.5-3
Severity: minor

I read in the man page that there is an option -f for fullscreen mode,
but when I launch the command

supertransball2 -f

the game opens windowed, not fullscreen.

the following lines are from my console:

$ supertransball2 -f
Configuration: /home/fredm/.supertransball2
Data: /usr/share/games/supertransball2/
Enabled fullscreen.
Invalid rate plugin version 10002


-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (900, 'stable'), (50, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages supertransball2 depends on:
ii  libc6                       2.11.2-2     Embedded GNU C Library: Shared lib
ii  libgcc1                     1:4.4.0-5    GCC support library
ii  libsdl-image1.2             1.2.10-2+b1  image loading library for Simple D
ii  libsdl-mixer1.2             1.2.8-4      mixer library for Simple DirectMed
ii  libsdl-sge                  030809dfsg-2 extension of graphic functions for
ii  libsdl-sound1.2             1.0.3-2      Decoder of several sound file form
ii  libsdl1.2debian             1.2.13-2     Simple DirectMedia Layer
ii  libstdc++6                  4.4.0-5      The GNU Standard C++ Library v3
ii  supertransball2-data        1.5-3        Data files for a thrust type of ga

supertransball2 recommends no packages.

supertransball2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#590636; Package supertransball2. (Mon, 30 May 2011 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Valentin <valentio@free.fr>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. (Mon, 30 May 2011 13:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 590636@bugs.debian.org (full text, mbox):

From: Olivier Valentin <valentio@free.fr>
To: 590636@bugs.debian.org
Subject: Fullscreen
Date: Mon, 30 May 2011 15:00:36 +0200 (CEST)
I tried Alt+ENTER and it toggled fullscreen... maybe -f just enables this.

Olivier




Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Wed, 16 Jan 2013 02:51:03 GMT) Full text and rfc822 format available.

Notification sent to Fred Maranhão <fred.maranhao@gmail.com>:
Bug acknowledged by developer. (Wed, 16 Jan 2013 02:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 590636-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 590636-close@bugs.debian.org
Subject: Bug#590636: fixed in supertransball2 1.5-5
Date: Wed, 16 Jan 2013 02:49:01 +0000
Source: supertransball2
Source-Version: 1.5-5

We believe that the bug you reported is fixed in the latest version of
supertransball2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590636@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated supertransball2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 29 Oct 2012 15:48:17 +0100
Source: supertransball2
Binary: supertransball2 supertransball2-data
Architecture: source amd64 all
Version: 1.5-5
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 supertransball2 - Thrust type of game
 supertransball2-data - data files for supertransball2
Closes: 590636 661457 668030
Changes: 
 supertransball2 (1.5-5) unstable; urgency=low
 .
   * New Maintainer. (Closes: #661457)
   * Switch to package format 3.0 (quilt). Thanks Jari Aalto for the patch!
     (Closes: #668030).
   * Remove patch for command line option -f for fullscreen, it does not work.
     Instead improve supertransball2's manpage and suggest using the ingame key
     combinations ALT+1,2,3,4 or ALT+ENTER to control the video mode.
     (Closes: #590636)
   * Bump compat level to 9 and require debhelper >=9 for automatic hardening
     build flags.
   * Merge the old patches into one and modify the Makefile. Don't link against
     libsdl_sound anymore to avoid a superfluous dependency.
   * debian/control:
   - Add hardening wrapper to Build Depends.
   - Add Vcs-fields and point to supertransball2's git repository at
     git.debian.org.
   - Improve the package description.
   * debian/rules:
   - Use dh sequencer to simplify debian/rules.
   - Split readme.txt in README and changelog and install them in the
     right place.
   - Build with hardening=+all.
   * Add a desktop file, menu file and icons.
   * Update debian/copyright to copyright format 1.0.
Checksums-Sha1: 
 2e6c1431b37ff6db891581b74850a86008fdf664 2150 supertransball2_1.5-5.dsc
 08aab2a815e23933f6ade3cfcd10b50885e82d5c 280265 supertransball2_1.5.orig.tar.gz
 43da319331507cab71b54ce17c0414cdd36011bb 26051 supertransball2_1.5-5.debian.tar.gz
 8caa44cdd71198625a261e1c20e2b068cb08eea8 75314 supertransball2_1.5-5_amd64.deb
 2ad3f47e282671174a6d02312a12990c55c92141 239794 supertransball2-data_1.5-5_all.deb
Checksums-Sha256: 
 7286c27213265d8ef3285729d78238fc8db45ea71741b5723b4dd0e1c01981a3 2150 supertransball2_1.5-5.dsc
 b62a5854cf00807077888a5b0ed41e5cbd191747d2ed40790e9d61dc04a76bd5 280265 supertransball2_1.5.orig.tar.gz
 4682ba453f8629675354988047ceb8ea8fc023ef597a4a106d68ebe4b9f9192d 26051 supertransball2_1.5-5.debian.tar.gz
 3c3793c55f39faf15e9a56343d575caa12c48d7251e5f99d3907f3d0d34996e5 75314 supertransball2_1.5-5_amd64.deb
 866c9efa028a2e9eb38a2771bb01aad29c105b3ce3f2928d73e9812f89288dab 239794 supertransball2-data_1.5-5_all.deb
Files: 
 b28af58ed40a0f66fff294914cde8a40 2150 games optional supertransball2_1.5-5.dsc
 d7dafaca8aa5dcb5d74fbc36789c325b 280265 games optional supertransball2_1.5.orig.tar.gz
 b8b3650d9064fb8d0845b0fae71cd5d1 26051 games optional supertransball2_1.5-5.debian.tar.gz
 91bdf0746c18b5f43655341dc76a3016 75314 games optional supertransball2_1.5-5_amd64.deb
 f986c2b49da9070f429c52eb363c05e2 239794 games optional supertransball2-data_1.5-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ9gczAAoJEHQmOzf1tfkTbmIP+gN1gC+dSMY6+LfHjZPH1rOH
yz9DegFw+iAXJLLZ6PXyf7Kx18OlJc3gdUWEiBKJ0B7oW3yYOn+gjUanmJCSGXs1
vlfrO0qvE1VAV0/uscG783Z3ahN4tauxPGaBn1eEB7BKpfXnnWXC4ZEmbiN1mp3X
agORCAOlq62R1qZx9N0asdwUuhq2RyGwxGVDRpjXCaiuNDK6u9ZcjEx/PWsaKXPA
Zwzejd8l1hdBZbIw+MBLeAOpucjZ6tSHX0H/z90h5b8esbbbiItNyQXIKgiSTm/x
MlVhkLn2uCazjLKxczBzQwY8q2zdeSQacvJPMUOazHfo6E5KbvH+lDK3PK1ql6oL
39djB+P40gWTS40SRHWxVqgsG/lN/G4b1+M0UJhyLRH6zQ/Pj9w2nV6EYGYA1+6d
NvxzSglC4zhOv+zerRkOwe29zGppLVvhXV4bCTMjTlu2Eki7SKXCZyhlrRu4Q+P2
GsAYbiPA5VD5wNXkN720ROfUizBPOhdGZsthZJLFxOTn4RwSGgzZZSOfECkMY2oA
ZwtNDD5Wz23DLftbBGb2uLNKDXKabjpM/hXv20woVtA2S/vwvfG9lioYcUe8RMgF
Hdhf4EvFGK2ixflsRHBK83Kc5B9uBMGm5aaAyUQ80zGdBOD0Bx7s5PGHEnvrg/tR
cP0jBYaVB4W6s7ugOIlV
=ilC5
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Fred Maranhão <fred.maranhao@gmail.com>' from 'Fred Maranhão <fred.maranhao@gmail.com>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:28:01 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:11:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:04:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.